Package org.flowable.task.api

# Interface TaskCompletionBuilder

public interface TaskCompletionBuilder
This builder is an alternative to using any of the complete methods on the TaskService.

Author:
  Ievgenii Bespal, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `complete()`
  Completes the task.
  `TaskCompletionBuilder`
  `formDefinitionId(String formDefinitionId)`
  Sets a form definition id.
  `TaskCompletionBuilder`
  `outcome(String outcome)`
  Sets an outcome for the form.
  `TaskCompletionBuilder`
  `taskId(String id)`
  Sets the id of the task which is completed.
  `TaskCompletionBuilder`
  `transientVariable(String variableName, Object variableValue)`
  Sets one non-persisted instance variables.
  `TaskCompletionBuilder`
  `transientVariableLocal(String variableName, Object variableValue)`
  Sets one non-persisted instance variables.
  `TaskCompletionBuilder`
  `transientVariables(Map<String,Object> transientVariables)`
  Sets non-persisted instance variables.
  `TaskCompletionBuilder`
  `transientVariablesLocal(Map<String,Object> transientVariablesLocal)`
  Sets non-persisted task-local variables.
  `TaskCompletionBuilder`
  `variable(String variableName, Object variableValue)`
  Sets one instance-level variable.
  `TaskCompletionBuilder`
  `variableLocal(String variableName, Object variableValue)`
  Sets one task-local variables instead of instance-level variables.
  `TaskCompletionBuilder`
  `variables(Map<String,Object> variables)`
  Sets variables that are added on the instance level.
  `TaskCompletionBuilder`
  `variablesLocal(Map<String,Object> variablesLocal)`
  Sets task-local variables instead of instance-level variables.

- ## Method Details

  - ### variables

    TaskCompletionBuilder variables(Map<String,Object> variables)
    Sets variables that are added on the instance level.

  - ### variablesLocal

    TaskCompletionBuilder variablesLocal(Map<String,Object> variablesLocal)
    Sets task-local variables instead of instance-level variables.

  - ### transientVariables

    TaskCompletionBuilder transientVariables(Map<String,Object> transientVariables)
    Sets non-persisted instance variables.

  - ### transientVariablesLocal

    TaskCompletionBuilder transientVariablesLocal(Map<String,Object> transientVariablesLocal)
    Sets non-persisted task-local variables.

  - ### variable

    TaskCompletionBuilder variable(String variableName, Object variableValue)
    Sets one instance-level variable.

  - ### variableLocal

    TaskCompletionBuilder variableLocal(String variableName, Object variableValue)
    Sets one task-local variables instead of instance-level variables.

  - ### transientVariable

    TaskCompletionBuilder transientVariable(String variableName, Object variableValue)
    Sets one non-persisted instance variables.

  - ### transientVariableLocal

    TaskCompletionBuilder transientVariableLocal(String variableName, Object variableValue)
    Sets one non-persisted instance variables.

  - ### taskId

    TaskCompletionBuilder taskId(String id)
    Sets the id of the task which is completed.

  - ### formDefinitionId

    TaskCompletionBuilder formDefinitionId(String formDefinitionId)
    Sets a form definition id. Only needed when there's a form associated with the task.

  - ### outcome

    TaskCompletionBuilder outcome(String outcome)
    Sets an outcome for the form.

  - ### complete

    void complete()
    Completes the task.